# Interface methods for submodule: MatlabTransformIOTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformIOBaseTemplateProxy as _TransformIOBaseTemplateProxy


# Interface methods for class: MatlabTransformIOTemplate
class MatlabTransformIOTemplateProxy(_TransformIOBaseTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def Read(self) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

